Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 19 reacties
Bron: ATi, submitter: Jejking

ATi heeft een nieuwe set drivers uitgebracht voor het Linux-platform en hieraan 8.18.6 als het versienummer meegegeven. Aangezien de drivers als closed source worden uitgegeven zijn er een zestal verschillende RPM's beschikbaar voor zowel Linux x86 als Linux x86_64 met XFree86 of X.Org. Helaas heeft ATi zijn download-policy aangepast en kan er niet meer direct naar de downloads, de release notes of zelfs maar naar de pagina waar de downloads te vinden zijn worden gelinkt. We hebben daarom de drivers maar naar onze file-server geladen. De release notes laten ons de volgende punten zien:

New Features:
  • Dynamic Clock Gating
    The Linux 8.18.6 software driver provides dynamic clock gating. This feature allows the supported graphics cards to deactivate components when they are not being used.
  • Enhanced Support for OpenGL Development
    The Linux 8.18.6 software driver provides enhanced support for OpenGL development. The driver now installs the glATI.h header file allowing for OpenGL developers to access the advanced functionality found on ATI's hardware platform.
  • Dual Link Monitor Support
    The Linux 8.18.6 software driver now provides support for dual link monitors for ATI graphics cards that have dual link DVI connectors.
  • Xinerama Support
    The Linux 8.18.6 software driver now provides Xinerama extension support for big desktop configurations.
  • New X Server Configuration Utility
    The Linux 8.18.6 software driver now provides a new X Server configuration utility known as aticonfig. This allows for configuration of ATI devices via a command line interface.
Issues Resolved:
  • Access to /proc/dri/0/* no longer results in an oops on kernels that have CONFIG_REGPARM enabled
Known Issues:
  • TV Display is Corrupt After Switching Resolutions. Further details can be found in topic number topic number 737-1086
  • Attempting to resume from system suspension results in the system failing to respond. Further details can be found in topic number topic number 737-218
  • Enabling Quad Buffer Stereo results in 2D graphics corruption under XFree86. Further details can be found in topic number topic number 737-219
  • Running two X servers simultaneously results in the system failing to respond. Further details can be found in topic number topic number 737-220
[break]De volgende downloads staan klaar:
* Linux x86 - X.Org 6.8
* Linux x86 - XFree86 4.1
* Linux x86 - XFree86 4.2
* Linux x86 - XFree86 4.3
* Linux x86_64 - X.Org 6.8
* Linux x86_64 - XFree86 4.3

Lees meer over

Versienummer:8.18.6
Besturingssystemen:Linux x86, Linux AMD64
Website:ATi
Download:http://support.ati.com/
Licentietype:Freeware
Moderatie-faq Wijzig weergave

Reacties (19)

een hele mooie stap in de goede richting van ati! zeker omdat juist zij over het algemeen slechter zijn met opengl drivers dan nvidia.

ik vind het alleen wel een vreemde zet dat er niet meer gelinkt mag worden naar de files, wat is dat nou. alsof ze zich schamen voor hun eigen drivers. dit is nou niet echt een gebruikersvriendelijke manier van drivers verspreiden.
of zouden ze totale controle willen hhebben over de te downloaden bestanden, zodat ze zeker weten dat er geen vreemde versies onder hun naam verspreid worden?

ik wacht nog steeds op composite en renderaccel support van ati, blijkbaar voelen ze totaal geen concurrentiedruk van nvidia die dat toch zeker al een jaar in zijn drivers heeft zitten (ik dacht sinds de 6xxx serie van hun drivers). op fora en dergelijke zie je toch mensen die zeggen dat ze speciaal een nvidia kaart hebben gekocht omdat ze de beste support voor linux willen hebben.

(mijn geforce 4 mx deed het echt goed met die composite en renderaccel extensies, op mijn laptop met x600 mobility kan dat dus niet meer)
ati timmerd pas een paar maanden echt aan de linux driver weg.
en since die tijd zijn de drivers met sprongen vooruit gegaan.
ze zijn er nog zeker niet maar ze zijn duidelijk op de goede weg.
composite en renderaccel komen vanzelf wel waarschijnlijk.
ati timmerd pas een paar maanden echt aan de linux driver weg.
en since die tijd zijn de drivers met sprongen vooruit gegaan.
ze zijn er nog zeker niet maar ze zijn duidelijk op de goede weg.
composite en renderaccel komen vanzelf wel waarschijnlijk.
Ik vind ze helemaal niet op de goede weg zitten.
Het is een kleine moeite voor ATi om expirimenteel composite te supporten en DRI tegelijkertijd te enablen.
Ze kunnen toch net als NVIDIA eenvoudig duidelijk maken dat dit op eigen risco is, maar nee nu beslissen ze voor mij dat DRI uitgaat wanneer de compostie extensie enabled is, dat maak ik zelf toch wel uit?

Er komen zoveel vragen vanuit de OSS community naar ATi toe of ze het alsjeblieft willen enablen, zoveel nieuwe softwareontwikkelingen op het gebied van Xcomposite en zoveel linuxgebruikers wachten hierop dat ik het bijna asociaal begin te vinden dat dit geen priorieit is voor ATI.

En ik snap het ook niet, ik heb altijd ATi gekocht omdat ik het beter vond dan nvidia en nog steeds, maar ik heb nu een GF6800GT aangeschaft puur voor de linuxdriver support en zo zijn er nog wel meer mensen, ze zijn gewoon dief van hun eigen portomonee.

Er is echter al wel een alternatief, namelijk het R300 project op Sourceforge, als je dat aan de gang krijgt met je ATI kaart heb je wel full support en het schijnt zelfs sneller te zijn dan de huidige nvidia kaarten onder linux met dri geactiveerd:

http://r300.sourceforge.net/

Het is nog wel zwaar expirimenteel, dus op eigen risico.
Ik heb helaas een X700 PCI Express kaart in mijn notebook zitten en die worden nog niet ondersteund anders had ik het al wel getest.

Om het te testen heb je wel de nieuwste X.org nodig met EXA support, deze had eigenlijk eind september al uit moeten komen (Xorg Versie 7).

http://xorg.freedesktop.org/wiki/ExaStatus
umm onder windows gaat mijn dri ook uit als ik composite aan zet.
heeft dat niet gewoon te maken met het feit dat ze de zelfde RAMDAC gebruiken?

edit : zat in de war met DVI en composite (je weet wel die van tv-out.

maar als nvidia ook zegt dat het op eigen risico is zal het dus wel niet zo makelijk zijn als het lijkt om ze tegelijk aan te hebben.
Waar heb je het over? DRI en Composite zijn Linux specifieke dingen, het heeft helemaal niks met windows te maken.
ik vind het alleen wel een vreemde zet dat er niet meer gelinkt mag worden naar de files, wat is dat nou. alsof ze zich schamen voor hun eigen drivers. dit is nou niet echt een gebruikersvriendelijke manier van drivers verspreiden.
of zouden ze totale controle willen hhebben over de te downloaden bestanden, zodat ze zeker weten dat er geen vreemde versies onder hun naam verspreid worden?
Misschien omdat ze beter willen kunnen bijhouden hoeveel gebruikers er zijn die Linux draaien en een ATI kaart hebben? In dat geval is het minder handig dat tweakers een mirror heeft aangemaakt. Dan lijkt het alsof de behoefte aan Linux drivers minder is...
ik vind het alleen wel een vreemde zet dat er niet meer gelinkt mag worden naar de files, wat is dat nou. alsof ze zich schamen voor hun eigen drivers. dit is nou niet echt een gebruikersvriendelijke manier van drivers verspreiden.
Ze maken sinds kort gebruik van de diensten van akamai om hun bestanden te hosten en te verspreiden. Je kan wel een linkje maken naar een bestand op een van de duizende servers maar deze zal ongetwijfeld niet lang beschikbaar blijven. Dat is het jammere van het netwerk van akamai.
Dus niet dat we niet mogen linken naar de bestanden van ATi bij akamai, maar dat het na een aantal uur niet meer werkt is het grootste probleem.
Er word zo te zien toch goed aan de weg getimmerd daar. Begint al wat op windows-kwaliteit drivers te lijken. Er allereerst maar even van uitgaande dat alles wat ze beloven ook daadwerkelijk werkt.
# Attempting to resume from system suspension results in the system failing to respond. Further details can be found in topic number topic number 737-218
Dat is dan wel weer wat minder netjes, die bug zit er volgens mij ook al een hele tijd in.
Ach, met de NVidia drivers is het ook nog steeds niet mogelijk om je systeem in standby of suspend te krijgen en weer netjes wakker te maken... Om de een of andere reden blijft dat onder Linux een groot probleem.
Ik heb een lappie met een oudere ati chip, een Rage Mobility, en daarop werken zowel suspend to disk als suspend to ram - het lijkt er dus meer op dat de closed source developers het niet zo belangrijk vinden.
De FLOSS gemeenschap lukt het nl wel zonder al te veel problemen.

Maar goed, het is positief dat ATI Linux nu serieuzer neemt... hoewel ik open source drivers beter zou vinden.
het suspend2 project moet een einde aan de slechte suspend ondersteuning voor linux maken en schijnt al heel goed op weg te zijn. Ik ben benieuwd wanneer dit soort dingen daadwerkelijk in distributies als Suse opgenomen gaan worden
Ook het suspend2 project is ervan afhankelijk dat drivers -- zoals die van ATi -- suspend functionaliteit hebben.

Driversupport voor suspend/resume is allang het grootste probleem, en bij binary drivers zoals die van ATi kun je nog zo'n stoere kernel developer zijn, als die driver het voor je verkloot doe je er niks aan.

Beetje triest dat ATi haar gebruikers zo in de steek laat.
Hoe moet je deze drivers gebruiken als je een package management systeem hebt dat geen rpm gebruikt (ubuntu)?
Ik gebruik versie 5.10 met Xorg 6.8...
rpm2tar ;) en dan ff kutten tot het werkt.

of je kan even wachten tot de package-maintainers van ubuntu die rpm zelf hebben omgezet naar een .deb
ubuntu zorgt zelf voor de beschikbaarheid van de ATI drivers.
je moet alleen even tegen apt-get zeggen dat hij ook de contrib moet downloaden.
als het goed is zitten daar ook de ATI drivers tussen
ik kon ze iniedergeval zo met apt-get installeren... en het werkte echt meteen zonder gedoe!

je moet misschien alleen even gedult hebben tot ubuntu ze erbij zet.
Zoals Countess zegt.. Ubuntu heeft eigen .debs
Wil je toch de nieuwste drivers draaien, kan je het best alien gebruiken (dus niet rpm2tar ;) ) deze maakt .deb van .rpm
Mja wat je ook kan doen is gewoon die rpm omzetten naar .deb met alien (wel sudo gebruiken). Daarna kan je met "sudo dpkg -i naaminvullen.deb" dat ding installeren. www.ubuntuforums.org is je plaats voor vragen :D (heb er zelf ontzettend veel aan gehad)
Enig idee wanneer ze in portage komen ? :9

-edit-

Zat er al in, maar werken niet naar behoren. Ben nu weer terug naar 8.14
Wanneer gaan ze nu eens support inbouwen voor hun mobility videokaarten? Ik heb een Radeon Mobility U1 (IGP 320M) en geen deftige 3d ondersteuning. Wel met de open source radeon drivers maar doordat deze reverse engineered zijn zijn ze iets trager.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True